class ModelSerializeMixin:
    def serialize(self):
        d = {param: getattr(self, param) for param in self.__class__.__annotations__ if not param.startswith("_")}
        if len(d) == 1:
            key, value = d.popitem()
            return value
        return d
